"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var classNames = require("classnames");
var React = require("react");
var HelpIcon_1 = require("../icons/HelpIcon");
var theme_1 = require("../theme");
require("./HelpTooltip.css");
var Tooltip_1 = require("./Tooltip");
function HelpTooltip(props) {
    var _a = props.tagName, tagName = _a === void 0 ? 'div' : _a;
    return React.createElement(tagName, { className: classNames('help-tooltip', props.className) }, React.createElement(Tooltip_1.default, { mouseLeaveDelay: 0.25, onShow: props.onShow, overlay: props.overlay, placement: props.placement },
        React.createElement("span", { className: "display-inline-flex-center" }, props.children || (React.createElement(theme_1.ThemeConsumer, null, function (theme) { return React.createElement(HelpIcon_1.default, { fill: theme.colors.gray71, size: 12 }); })))));
}
exports.default = HelpTooltip;
//# sourceMappingURL=HelpTooltip.js.map