import { RequestOptions } from './request';
export declare const IS_SSR: boolean;
export declare const DEFAULT_LOCALE = "en";
export declare const DEFAULT_MESSAGES: {
    default_error_message: string;
};
declare const _default: {
    setUrlContext(newUrlContext: string): {
        setUrlContext(newUrlContext: string): any;
        setLocale(newLocale: string): any;
        setMessages(newMessages: T.Dict<string>): any;
        setReactDomContainer(nodeSelector: string): any;
        setRequestOptions(options: RequestOptions): any;
    };
    setLocale(newLocale: string): {
        setUrlContext(newUrlContext: string): any;
        setLocale(newLocale: string): any;
        setMessages(newMessages: T.Dict<string>): any;
        setReactDomContainer(nodeSelector: string): any;
        setRequestOptions(options: RequestOptions): any;
    };
    setMessages(newMessages: T.Dict<string>): {
        setUrlContext(newUrlContext: string): any;
        setLocale(newLocale: string): any;
        setMessages(newMessages: T.Dict<string>): any;
        setReactDomContainer(nodeSelector: string): any;
        setRequestOptions(options: RequestOptions): any;
    };
    setReactDomContainer(nodeSelector: string): {
        setUrlContext(newUrlContext: string): any;
        setLocale(newLocale: string): any;
        setMessages(newMessages: T.Dict<string>): any;
        setReactDomContainer(nodeSelector: string): any;
        setRequestOptions(options: RequestOptions): any;
    };
    setRequestOptions(options: RequestOptions): {
        setUrlContext(newUrlContext: string): any;
        setLocale(newLocale: string): any;
        setMessages(newMessages: T.Dict<string>): any;
        setReactDomContainer(nodeSelector: string): any;
        setRequestOptions(options: RequestOptions): any;
    };
};
export default _default;
export declare function getMessages(): T.Dict<string>;
export declare function getLocale(): string;
export declare function getReactDomContainerSelector(): string;
export declare function getRequestOptions(): RequestOptions;
export declare function getUrlContext(): string;
